/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.monitor.alerts;

import javax.mail.internet.AddressException;

/**
 * Comment
 *
 * @author <a href="mailto:bill@jboss.org">Bill Burke</a>
 * @version $Revision: 1.2 $
 *
 **/
public interface EmailAlertListenerMBean extends JBossAlertListenerMBean
{
   String getTo();

   void setTo(String t) throws AddressException;

   void addToAddress(String newAddress) throws AddressException;

   void removeToAddress(String removeAddress) throws AddressException;

   String getFrom();

   void setFrom(String f) throws AddressException;

   String getReplyTo();

   void setReplyTo(String f) throws AddressException;

   String getMessageTemplate();

   void setMessageTemplate(String messageTemplate);

   String getSubjectTemplate();

   void setSubjectTemplate(String messageTemplate);
}
